#
# spec file for package python-tld
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-tld
Version:        0.7.10
Release:        lp150.1.1
Summary:        Extract the top level domain (TLD) from the URL given
License:        MPL-1.1 OR GPL-2.0-only OR LGPL-2.1-only
Group:          Development/Languages/Python
Url:            https://github.com/barseghyanartur/tld
Source:         https://files.pythonhosted.org/packages/source/t/tld/tld-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module six >= 1.9}
# /SECTION
BuildRequires:  fdupes
Requires:       python-six >= 1.9
BuildArch:      noarch

%python_subpackages

%description
Extract the top level domain (TLD) from the URL given. List of TLD names is
taken from Mozilla
<http://mxr.mozilla.org/mozilla/source/netwerk/dns/src/effective_tld_names.dat?raw=1>

%prep
%setup -q -n tld-%{version}
sed -i '1s/^#!.*/#!\/usr\/bin\/python3/' src/tld/bin/update-tld-names

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst CHANGELOG.rst
%license LICENSE_GPL2.0.txt LICENSE_LGPL_2.1.txt
%python3_only %{_bindir}/update-tld-names
%{python_sitelib}/*

%changelog
* Sat Apr  7 2018 sebix+novell.com@sebix.at
- update to version 0.7.10:
  * more documentation files included
  * included license file
  * update tld data
* Thu Dec  7 2017 sebix+novell.com@sebix.at
- initial package for version 0.7.9
